# IntlBreakIterator::getPartsIterator

(PHP 5 >= 5.5.0, PHP 7)

IntlBreakIterator::getPartsIterator — Create iterator for navigating fragments between boundaries

### Description

public IntlBreakIterator::getPartsIterator ([ int `$key_type` = IntlPartsIterator::KEY_SEQUENTIAL ] ) : IntlPartsIterator

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`key_type`

  Optional key type. Possible values are:

  - `IntlPartsIterator::KEY_SEQUENTIAL` - The default. Sequentially increasing integers used as key.
  - `IntlPartsIterator::KEY_LEFT` - Byte offset left of current part used as key.
  - `IntlPartsIterator::KEY_RIGHT` - Byte offset right of current part used as key.

### Return Values